﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace SpreadIntro.Models
{
    
    public class SampleData
    {
       
        public static DataTable GetTable(int count)
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Dosage", typeof(int));
            
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(TimeSpan));
            table.Columns.Add("Active", typeof(Boolean));
            for (int i = 0; i < count; i++)
            {
                table.Rows.Add("Indocin", 25, "David", new TimeSpan(1, 2, 45), true);
                table.Rows.Add("Enebrel", 50, "Sam", new TimeSpan(2, 20, 45), false);
                table.Rows.Add("Hydralazine", 10, "Christoff", new TimeSpan(1, 2, 45), true);
                table.Rows.Add("Combivent", 21, "Janet", new TimeSpan(13, 2, 45), false);
                table.Rows.Add("Dilantin", 100, "Melanie", new TimeSpan(15, 2, 45), true);
                table.Rows.Add("Indocin", 25, "David", new TimeSpan(1, 2, 45), true);
            }
            
            
           
            return table;
        }
    }
}