﻿if (typeof (TimeEditor) == "undefined") {
  function TimeEditor() {
    /// <summary>
    /// Pack logic inside an editor class
    /// </summary>
    function init() {
    }
    function getValue(render, spread) {
      return getValueFromHtml(render);
    }

    function getValueFromHtml(cell) {
      var tb= cell.querySelector("INPUT");
        console.log("spread getValue",tb.value);
      return tb.value;
    }

    function setValue(cell, val, spread) {
console.log("Edit",cell);
      if (val != null && val !="") {
        cell.querySelector("input").value=val;
      }
    }

    function isValid(cell, val) {
      // check val
      var isCheckValid = val.split(":");
       if(isCheckValid.length!=3){
            return "Invalid Formatted value;";
       }else if(isCheckValid.length==3){
            var valid = isNaN(isCheckValid[0]) || isNaN(isCheckValid[1]) || isNaN(isCheckValid[2]);

            if(valid){
                return "Invalid Value";
            }
        }
        
      return "";
    }


    // Use more general registration type
    window.TimeCellType_getEditorValue = getValue;
    window.TimeCellType_setEditorValue = setValue;
    window.TimeCellType_isValid = isValid;
  }

  (new TimeEditor());
}