﻿using FarPoint.Excel;
using FarPoint.Web.Chart;
using FarPoint.Web.Spread;
using FarPoint.Web.Spread.Chart;
using FarPoint.Web.Spread.Model;
using SpreadIntro.Models;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SpreadIntro
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                FpSpread1.DataSource = SampleData.GetTable(5);
                FpSpread1.DataBind();
                var data = "David,Sam,Christoff,Janet,Melanie".Split(',');
                ComboBoxCellType cmb = new ComboBoxCellType(data,data);
                cmb.ShowButton = true;
                FpSpread1.Columns[2].CellType = cmb;
                FpSpread1.Columns.Add(0, 1);
                FpSpread1.Columns[0].Formula = "IF($D1 = \"David\", true, false)";
            }
        }
    }
}